Author Topic: Avast 64 for linux  (Read 17084 times)

Offline EasyE

  • Newbie
  • *
  • Posts: 3
  • I'm a llama!
    • Personal Message (Offline)
Avast 64 for linux
« on: June 01, 2011, 09:15:07 PM »
I am looking for a 64 bit version for Ubuntu linux. Is there one?

Offline spg SCOTT

  • Massive Poster
  • ****
  • Posts: 4138
  • Gender: Male
  • There is no magic, only lost physics
    • spg SCOTT
    • Personal Message (Offline)
Re: Avast 64 for linux
« Reply #1 on: June 01, 2011, 09:33:53 PM »
Not sure...the system requirements suggest not:

Quote
Any Linux distribution (x86 platform only)
http://www.avast.com/en-gb/linux-home-edition#tab3
“There is a computer disease that anybody who works with computers knows about. It's a very serious disease and it interferes completely with the work. The trouble with computers is that you 'play' with them!”Richard Feynman

Offline zilog

  • Moderator
  • Advanced Poster
  • *
  • Posts: 962
  • Gender: Male
  • or #f0; daa; add a,#a0; adc a,#40
    • Personal Message (Offline)
Re: Avast 64 for linux
« Reply #2 on: June 06, 2011, 07:26:00 AM »
I am looking for a 64 bit version for Ubuntu linux. Is there one?

With IA-32 compatibility package, there's no problem to run avast on 64bit linux distros.

regards,
pc
May's Law: Software efficiency halves every 18 months, compensating Moore's Law. (David May, INMOS)

Offline Jeff V.

  • Newbie
  • *
  • Posts: 1
    • Personal Message (Offline)
Re: Avast 64 for linux
« Reply #3 on: June 23, 2011, 07:42:08 PM »
With IA-32 compatibility package, there's no problem to run avast on 64bit linux distros.

How do you install the IA-32 package to get avast to run on 64bit?  I have the same question as EasyE, I have Ubuntu Natty Norwal 11.04 x64 edition.

Offline zilog

  • Moderator
  • Advanced Poster
  • *
  • Posts: 962
  • Gender: Male
  • or #f0; daa; add a,#a0; adc a,#40
    • Personal Message (Offline)
Re: Avast 64 for linux
« Reply #4 on: July 07, 2011, 12:45:26 PM »
With IA-32 compatibility package, there's no problem to run avast on 64bit linux distros.

How do you install the IA-32 package to get avast to run on 64bit?  I have the same question as EasyE, I have Ubuntu Natty Norwal 11.04 x64 edition.

On normal ubuntu, just force architecture and install the i386 package.
(from commandline, dpkg --force-architecture -i avast4workstation...   etc.)

regards,
pc
May's Law: Software efficiency halves every 18 months, compensating Moore's Law. (David May, INMOS)

Offline mengesb

  • Newbie
  • *
  • Posts: 2
    • Personal Message (Offline)
Re: Avast 64 for linux
« Reply #5 on: February 21, 2013, 10:32:46 PM »
So I've tried installing ia32-libs and also avast4workstation_1.3.0-2_i386.deb via --force-architecture. AT first it looked like it was going to run, then it suddenly crashed. OK, so I figured fire it back up right? Not so easy.

OS: Ubuntu 10.04 LTS
ARCH: amd64
RAM: 16G

Now every time I run 'avastgui' I get a message box:
An error occured in avast! engine: Invalid arguement

On the console when I run this, I see:
$ avastgui
/usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

When I run with --verbose I get a different popup window BEFORE the above (still get the second, just have this one first):
catalog file for domain 'avast' not found
Details:
03:29:24 PM: catalog file for domain 'wxstd' not found.
03:29:24 PM: looking for catalog 'avast' in path '/usr/lib/avast4workstation/share/locale/en_US/LC_MESSAGES:/usr/lib/avast4workstation/share/locale/en_US:/usr/lib/avast4workstation/share/locale::/usr/i586-pc-linux-gnu/share/locale/en_US/LC_MESSAGES:/usr/i586-pc-linux-gnu/share/locale/en_US:/usr/i586-pc-linux-gnu/share/locale:/usr/share/locale/en_US/LC_MESSAGES:/usr/share/locale/en_US:/usr/share/locale:/usr/lib/locale/en_US/LC_MESSAGES:/usr/lib/locale/en_US:/usr/lib/locale:/usr/local/share/locale/en_US/LC_MESSAGES:/usr/local/share/locale/en_US:/usr/local/share/locale:./en_US/LC_MESSAGES:./en_US:.:/usr/lib/avast4workstation/share/locale/en/LC_MESSAGES:/usr/lib/avast4workstation/share/locale/en:/usr/lib/avast4workstation/share/locale::/usr/i586-pc-linux-gnu/share/locale/en/LC_MESSAGES:/usr/i586-pc-linux-gnu/share/locale/en:/usr/i586-pc-linux-gnu/share/locale:/usr/share/locale/en/LC_MESSAGES:/usr/share/locale/en:/usr/share/locale:/usr/lib/locale/en/LC_MESSAGES:/usr/lib/locale/en:/usr/lib/locale:/usr/local/share/locale/en/LC_MESSAGES:/usr/local/share/locale/en:/usr/local/share/locale:./en/LC_MESSAGES:./en:.::'.
03:29:24 PM: catalog file for domain 'avast' not found.

Installed libraries and avast version:
$ dpkg -l | grep ia32
ii  ia32-libs                            2.7ubuntu26.1                                         ia32 shared libraries for use on amd64 and i
$ dpkg -l | grep avast
ii  avast4workstation                    1.3.0                                                 avast! antivirus for Linux

Is there any hope for me? I can't seem to get this to run.

Offline mengesb

  • Newbie
  • *
  • Posts: 2
    • Personal Message (Offline)
Re: Avast 64 for linux
« Reply #6 on: February 21, 2013, 10:43:34 PM »
ok; apparently what happened was I updated the virus definitions, and experienced a different bug, where the solution is updating the kernel.shmmax

$ sudo sysctl -w kernel.shmmax=128000000

I still get the console error messages and some Gtk stuff, but it appears to be running fine now.

 

Google Chrome

AVAST recommends using the FREE Google Chrome™ browser.

Download Google Chrome Now